Last Comment Bug 819508 - When sharing a Bugzilla bug on Facebook, the default thumbnail is the Persona login button
: When sharing a Bugzilla bug on Facebook, the default thumbnail is the Persona...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: User Interface (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob›
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-07 12:39 PST by Dave Miller [:justdave] (justdave@bugzilla.org)
Modified: 2012-12-13 15:15 PST (History)
3 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot (76.40 KB, image/png)
2012-12-07 12:39 PST, Dave Miller [:justdave] (justdave@bugzilla.org)
no flags Details
patch v1 (2.89 KB, patch)
2012-12-07 14:40 PST, Byron Jones ‹:glob›
dkl: review+
Details | Diff | Splinter Review
buggie.png (10.62 KB, image/png)
2012-12-12 15:33 PST, Byron Jones ‹:glob›
no flags Details

Description Dave Miller [:justdave] (justdave@bugzilla.org) 2012-12-07 12:39:48 PST
Created attachment 689852 [details]
screenshot

See screenshot (it was imported from Twitter, so I think the personal information displayed is safe since it's all publicly viewable on Twitter already at https://twitter.com/TedMielczarek/status/277059871659134976 )

A Google search tells me we can specify what thumbnail we want them to use with:

<link rel="image_src" href="{link to image}">
Comment 1 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-12-07 12:43:29 PST
Actually, looking at the title and the link, that's a buglist, not a bug. :)
Comment 2 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-12-07 12:46:09 PST
Facebook has a tool at https://developers.facebook.com/tools/debug that can be used to tell you what image it'll pick (among other things) for a page.
Comment 3 Byron Jones ‹:glob› 2012-12-07 13:26:54 PST
i think we're better off using open graph metatags: http://ogp.me/
Comment 4 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-12-07 13:52:14 PST
Sounds like a plan. :)
Comment 5 Byron Jones ‹:glob› 2012-12-07 14:40:05 PST
Created attachment 689944 [details] [diff] [review]
patch v1

not sure if this should be rolled into the BMO extension, or in its own.
this patch adds it as a separate extension, in case other installations want it.

the image used is https://bugzilla.mozilla.org/extensions/BMO/web/images/bugzilla.png
Comment 6 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-12-07 15:02:20 PST
Wow, that's a tiny image.  That'll look... interesting when blown up to 100x100 or 250x250 on indexing and sharing sites :)
Comment 7 Byron Jones ‹:glob› 2012-12-09 11:33:15 PST
(In reply to Dave Miller from comment #6)
> Wow, that's a tiny image.  That'll look... interesting when blown up to
> 100x100 or 250x250 on indexing and sharing sites :)

alternative image: http://www.mediawiki.org/wiki/File:Buggie.svg
Comment 8 Dave Miller [:justdave] (justdave@bugzilla.org) 2012-12-09 20:11:38 PST
That might be a good one for upstream.  We probably want something with a Firefox or Mozilla logo or something for bmo.  Hmmm...   (far better than nothing though - should run with this for now and get Martell to cook us up something for the long run).  Probably need to convert it to png or somesuch.
Comment 9 David Lawrence [:dkl] 2012-12-12 11:56:27 PST
(In reply to Dave Miller from comment #8)
> That might be a good one for upstream.  We probably want something with a
> Firefox or Mozilla logo or something for bmo.  Hmmm...   (far better than
> nothing though - should run with this for now and get Martell to cook us up
> something for the long run).  Probably need to convert it to png or somesuch.

Open Graph Warnings That Should Be Fixed
Small og:image:	All the images referenced by og:image should be at least 200px in both dimensions. Please check all the images with tag og:image in the given url and ensure that it meets the recommended specification.
Comment 10 Byron Jones ‹:glob› 2012-12-12 15:33:25 PST
Created attachment 691557 [details]
buggie.png

(In reply to David Lawrence [:dkl] from comment #9)
> Open Graph Warnings That Should Be Fixed
> Small og:image:	All the images referenced by og:image should be at least
> 200px in both dimensions.

as per comments 7 and 8, we'll use a png version of the buggie.svg.  as it's a vector format, we can make it any size.

here's the image i intend on using.
Comment 11 David Lawrence [:dkl] 2012-12-12 16:09:24 PST
Comment on attachment 689944 [details] [diff] [review]
patch v1

Review of attachment 689944 [details] [diff] [review]:
-----------------------------------------------------------------

Things to fix on checkin:

1. Still getting warning from debug site that png is not acceptable size of > 200x200

[dkl@localhost 819508]$ file extensions/OpenGraph/web/bugzilla.png 
extensions/OpenGraph/web/bugzilla.png: PNG image data, 152 x 200, 8-bit/color RGBA, non-interlaced

2. Nit: Would be better if the image was in extensions/OpenGraph/web/images/

r=dkl
Comment 12 Byron Jones ‹:glob› 2012-12-13 15:15:47 PST
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.0/
added extensions/OpenGraph
added extensions/OpenGraph/Config.pm
added extensions/OpenGraph/Extension.pm
added extensions/OpenGraph/template
added extensions/OpenGraph/web
added extensions/OpenGraph/template/en
added extensions/OpenGraph/template/en/default
added extensions/OpenGraph/template/en/default/hook
added extensions/OpenGraph/template/en/default/hook/global
added extensions/OpenGraph/template/en/default/hook/global/header-start.html.tmpl
added extensions/OpenGraph/web/bugzilla.png
Committed revision 8422.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
added extensions/OpenGraph
added extensions/OpenGraph/Config.pm
added extensions/OpenGraph/Extension.pm
added extensions/OpenGraph/template
added extensions/OpenGraph/web
added extensions/OpenGraph/template/en
added extensions/OpenGraph/template/en/default
added extensions/OpenGraph/template/en/default/hook
added extensions/OpenGraph/template/en/default/hook/global
added extensions/OpenGraph/template/en/default/hook/global/header-start.html.tmpl
added extensions/OpenGraph/web/bugzilla.png
Committed revision 8462.

Note You need to log in before you can comment on or make changes to this bug.